SoPickedPointList(3IV)

NAME
SoPickedPointList — maintains a list of pointers to SoPickedPoint instances

INHERITS FROM
SbPList > SoPickedPointList

SYNOPSIS
#include <Inventor/SoLists.h>

Methods from class SoPickedPointList:

SoPickedPointList()

SoPickedPointList(int size)

SoPickedPointList(const SoPickedPointList &l)

~SoPickedPointList()
void
append(SoPickedPoint *ptr)
void
insert(SoPickedPoint *ptr, int addBefore)
void
truncate(int start)
SoPickedPoint *
operator [](int i) const
void
set(int i, SoPickedPoint *pickedPoint)

Methods from class SbPList:

int
find(const void *ptr) const
void
remove(int which)
int
getLength() const
void
copy(const SbPList &pl)
SbPList &
operator =(const SbPList &pl)
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This subclass of SbPList holds lists of pointers to instances of classes derived from SoPickedPoint. It is used primarily to return information from picking with the SoRayPickAction class.

METHODS

SoPickedPointList()
Constructor.

SoPickedPointList(int size)
Constructor that pre-allocates storage for size pointers.

SoPickedPointList(const SoPickedPointList &l)
Constructor that copies the contents of another list.

~SoPickedPointList()
Destructor.

void
append(SoPickedPoint *ptr)
Adds a pointer to the end of the list.

void
insert(SoPickedPoint *ptr, int addBefore)
Inserts given pointer in list before pointer with given index.

void
truncate(int start)
Removes all pointers after one with given index, inclusive, deleting all instances removed from the list.

SoPickedPoint *
operator [](int i) const
Accesses an element of a list.

void
set(int i, SoPickedPoint *pickedPoint)
Sets an element of a list.

SEE ALSO
SoPickedPoint, SoRayPickAction